Index: /branches/version-2/html/admin/system/parameter.php
===================================================================
--- /branches/version-2/html/admin/system/parameter.php	(revision 17267)
+++ /branches/version-2/html/admin/system/parameter.php	(revision 17267)
@@ -0,0 +1,34 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+// {{{ requires
+require_once("../../require.php");
+require_once(CLASS_EX_PATH . "page_extends/admin/system/LC_Page_Admin_System_Parameter_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_System_Parameter_Ex();
+register_shutdown_function(array($objPage, "destroy"));
+$objPage->init();
+$objPage->process();
+?>
Index: /branches/version-2/html/admin/system/masterdata.php
===================================================================
--- /branches/version-2/html/admin/system/masterdata.php	(revision 17267)
+++ /branches/version-2/html/admin/system/masterdata.php	(revision 17267)
@@ -0,0 +1,35 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once("../require.php");
+require_once(CLASS_EX_PATH . "page_extends/admin/system/LC_Page_Admin_System_Masterdata_Ex.php");
+
+// }}}
+// {{{ generate page
+
+$objPage = new LC_Page_Admin_System_Masterdata_Ex();
+register_shutdown_function(array($objPage, "destroy"));
+$objPage->init();
+$objPage->process();
+?>
Index: anches/version-2/html/admin/basis/masterdata.php
===================================================================
--- /branches/version-2/html/admin/basis/masterdata.php	(revision 16582)
+++ 	(revision )
@@ -1,35 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once("../require.php");
-require_once(CLASS_EX_PATH . "page_extends/admin/basis/LC_Page_Admin_Basis_Masterdata_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Basis_Masterdata_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2/html/admin/basis/parameter.php
===================================================================
--- /branches/version-2/html/admin/basis/parameter.php	(revision 16582)
+++ 	(revision )
@@ -1,34 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-// {{{ requires
-require_once("../../require.php");
-require_once(CLASS_EX_PATH . "page_extends/admin/basis/LC_Page_Admin_Basis_Parameter_Ex.php");
-
-// }}}
-// {{{ generate page
-
-$objPage = new LC_Page_Admin_Basis_Parameter_Ex();
-register_shutdown_function(array($objPage, "destroy"));
-$objPage->init();
-$objPage->process();
-?>
Index: anches/version-2/data/class/pages/admin/basis/LC_Page_Admin_Basis_Parameter.php
===================================================================
--- /branches/version-2/data/class/pages/admin/basis/LC_Page_Admin_Basis_Parameter.php	(revision 16741)
+++ 	(revision )
@@ -1,179 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
-
-/**
- * パラメータ設定 のページクラス.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Basis_Parameter extends LC_Page {
-
-    // {{{ properties
-
-    /** 定数キーとなる配列 */
-    var $arrKeys;
-
-    /** 定数コメントとなる配列 */
-    var $arrComments;
-
-    /** 定数値となる配列 */
-    var $arrValues;
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-        $this->tpl_mainpage = 'basis/parameter.tpl';
-        $this->tpl_subnavi = 'basis/subnavi.tpl';
-        $this->tpl_subno = 'parameter';
-        $this->tpl_mainno = 'basis';
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        $objView = new SC_AdminView();
-        $masterData = new SC_DB_MasterData_Ex();
-
-        // 認証可否の判定
-        SC_Utils_Ex::sfIsSuccess(new SC_Session());
-
-        // キーの配列を生成
-        $this->arrKeys = $this->getParamKeys($masterData);
-
-        if (isset($_POST["mode"]) && $_POST["mode"] == "update") {
-
-            // データの引き継ぎ
-            $this->arrForm = $_POST;
-
-            // エラーチェック
-            $this->arrErr = $this->errorCheck();
-            // エラーの無い場合は update
-            if (empty($this->arrErr)) {
-                $this->update();
-                $this->tpl_onload = "window.alert('パラメータの設定が完了しました。');";
-            } else {
-                $this->arrValues = SC_Utils_Ex::getHash2Array($this->arrForm,
-                                                              $this->arrKeys);
-                $this->tpl_onload = "window.alert('エラーが発生しました。入力内容をご確認下さい。');";
-            }
-
-        }
-
-        if (empty($this->arrErr)) {
-            $this->arrValues = SC_Utils_Ex::getHash2Array(
-                                       $masterData->getDBMasterData("mtb_constants"));
-        }
-
-        // コメント, 値の配列を生成
-        $this->arrComments = SC_Utils_Ex::getHash2Array(
-                                     $masterData->getDBMasterData("mtb_constants",
-                                             array("id", "remarks", "rank")));
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-
-    /**
-     * パラメータ情報を更新する.
-     *
-     * 画面の設定値で mtb_constants テーブルの値とキャッシュを更新する.
-     *
-     * @access private
-     * @return void
-     */
-    function update() {
-        $data = array();
-        $masterData = new SC_DB_MasterData_Ex();
-        foreach ($this->arrKeys as $key) {
-            $data[$key] = $_POST[$key];
-        }
-
-        // DBのデータを更新
-        $masterData->updateMasterData("mtb_constants", array(), $data);
-
-        // 更新したデータを取得
-        $mtb_constants = $masterData->getDBMasterData("mtb_constants");
-
-        // キャッシュを生成
-        $masterData->clearCache("mtb_constants");
-        $masterData->createCache("mtb_constants", $mtb_constants, true,
-                                 array("id", "remarks", "rank"));
-    }
-
-    /**
-     * エラーチェックを行う.
-     *
-     * @access private
-     * @return void
-     */
-    function errorCheck() {
-        $objErr = new SC_CheckError($this->arrForm);
-        for ($i = 0; $i < count($this->arrKeys); $i++) {
-            $objErr->doFunc(array($this->arrKeys[$i],
-                                  $this->arrForm[$this->arrKeys[$i]]),
-                            array("EXIST_CHECK_REVERSE", "EVAL_CHECK"));
-        }
-        return $objErr->arrErr;
-    }
-
-    /**
-     * パラメータのキーを配列で返す.
-     *
-     * @access private
-     * @return array パラメータのキーの配列
-     */
-    function getParamKeys(&$masterData) {
-        $keys = array();
-        $i = 0;
-        foreach ($masterData->getDBMasterData("mtb_constants") as $key => $val) {
-            $keys[$i] = $key;
-            $i++;
-        }
-        return $keys;
-    }
-}
-?>
Index: anches/version-2/data/class/pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php
===================================================================
--- /branches/version-2/data/class/pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php	(revision 17222)
+++ 	(revision )
@@ -1,187 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/LC_Page.php");
-
-/**
- * マスタデータ管理 のページクラス.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id$
- */
-class LC_Page_Admin_Basis_Masterdata extends LC_Page {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-        $this->tpl_mainpage = 'basis/masterdata.tpl';
-        $this->tpl_subnavi = 'basis/subnavi.tpl';
-        $this->tpl_subno = 'masterdata';
-        $this->tpl_mainno = 'basis';
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-
-        SC_Utils_Ex::sfIsSuccess(new SC_Session);
-
-        $objView = new SC_AdminView();
-        $this->arrMasterDataName = $this->getMasterDataNames(array("mtb_pref",
-                                                                   "mtb_zip",
-                                                                   "mtb_constants"));
-        $masterData = new SC_DB_MasterData_Ex();
-
-        if (!isset($_POST["mode"])) $_POST["mode"] = "";
-
-        switch ($_POST["mode"]) {
-        case "edit":
-            // POST 文字列の妥当性チェック
-            $this->checkMasterDataName();
-            $this->errorMessage = $this->checkUniqueID();
-
-            if (empty($this->errorMessage)) {
-                // 取得したデータからマスタデータを生成
-                $arrData = array();
-                foreach ($_POST['id'] as $key => $val) {
-
-                    // ID が空のデータは生成しない
-                    if ($val != "") {
-                        $arrData[$val] = $_POST['name'][$key];
-                    }
-                }
-
-                // マスタデータを更新
-                $masterData->objQuery = new SC_Query();
-                $masterData->objQuery->begin();
-                $masterData->deleteMasterData($this->masterDataName, false);
-                // TODO カラム名はメタデータから取得した方が良い
-                $masterData->registMasterData($this->masterDataName,
-                                              array("id", "name", "rank"),
-                                              $arrData, false);
-                $masterData->objQuery->commit();
-                $this->tpl_onload = "window.alert('マスタデータの設定が完了しました。');";
-            }
-
-        case "show":
-            // POST 文字列の妥当性チェック
-            $this->checkMasterDataName();
-
-            // DB からマスタデータを取得
-            $this->arrMasterData =
-                $masterData->getDbMasterData($this->masterDataName);
-            break;
-
-        default:
-        }
-
-        $objView->assignobj($this);
-        $objView->display(MAIN_FRAME);
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-
-    /**
-     * マスタデータ名チェックを行う
-     *
-     * @access private
-     * @return void
-     */
-    function checkMasterDataName() {
-
-        if (in_array($_POST['master_data_name'], $this->arrMasterDataName)) {
-            $this->masterDataName = $_POST['master_data_name'];
-            return true;
-        } else {
-            SC_Utils_Ex::sfDispeError("");
-        }
-    }
-
-    /**
-     * マスタデータ名を配列で取得する.
-     *
-     * @access private
-     * @param array $ignores 取得しないマスタデータ名の配列
-     * @return array マスタデータ名の配列
-     */
-    function getMasterDataNames($ignores = array()) {
-        $dbFactory = SC_DB_DBFactory::getInstance();
-        $arrMasterDataName = $dbFactory->findTableNames("mtb_");
-
-        $i = 0;
-        foreach ($arrMasterDataName as $val) {
-            foreach ($ignores as $ignore) {
-                if ($val == $ignore) {
-                    unset($arrMasterDataName[$i]);
-                }
-            }
-            $i++;
-        }
-        return $arrMasterDataName;
-    }
-
-    /**
-     * ID の値がユニークかチェックする.
-     *
-     * 重複した値が存在する場合はエラーメッセージを表示する.
-     *
-     * @access private
-     * @return void|string エラーが発生した場合はエラーメッセージを返す.
-     */
-    function checkUniqueID() {
-
-        $arrId = $_POST['id'];
-        for ($i = 0; $i < count($arrId); $i++) {
-
-            $id = $arrId[$i];
-            // 空の値は無視
-            if ($arrId[$i] != "") {
-                for ($j = $i + 1; $j < count($arrId); $j++) {
-                    if ($id == $arrId[$j]) {
-                        return $id . " が重複しているため登録できません.";
-                    }
-                }
-            }
-        }
-    }
-}
-?>
Index: /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php
===================================================================
--- /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 17267)
+++ /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Parameter.php	(revision 17267)
@@ -0,0 +1,179 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * パラメータ設定 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_System_Parameter extends LC_Page {
+
+    // {{{ properties
+
+    /** 定数キーとなる配列 */
+    var $arrKeys;
+
+    /** 定数コメントとなる配列 */
+    var $arrComments;
+
+    /** 定数値となる配列 */
+    var $arrValues;
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'system/parameter.tpl';
+        $this->tpl_subnavi = 'system/subnavi.tpl';
+        $this->tpl_subno = 'parameter';
+        $this->tpl_mainno = 'system';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        $objView = new SC_AdminView();
+        $masterData = new SC_DB_MasterData_Ex();
+
+        // 認証可否の判定
+        SC_Utils_Ex::sfIsSuccess(new SC_Session());
+
+        // キーの配列を生成
+        $this->arrKeys = $this->getParamKeys($masterData);
+
+        if (isset($_POST["mode"]) && $_POST["mode"] == "update") {
+
+            // データの引き継ぎ
+            $this->arrForm = $_POST;
+
+            // エラーチェック
+            $this->arrErr = $this->errorCheck();
+            // エラーの無い場合は update
+            if (empty($this->arrErr)) {
+                $this->update();
+                $this->tpl_onload = "window.alert('パラメータの設定が完了しました。');";
+            } else {
+                $this->arrValues = SC_Utils_Ex::getHash2Array($this->arrForm,
+                                                              $this->arrKeys);
+                $this->tpl_onload = "window.alert('エラーが発生しました。入力内容をご確認下さい。');";
+            }
+
+        }
+
+        if (empty($this->arrErr)) {
+            $this->arrValues = SC_Utils_Ex::getHash2Array(
+                                       $masterData->getDBMasterData("mtb_constants"));
+        }
+
+        // コメント, 値の配列を生成
+        $this->arrComments = SC_Utils_Ex::getHash2Array(
+                                     $masterData->getDBMasterData("mtb_constants",
+                                             array("id", "remarks", "rank")));
+
+        $objView->assignobj($this);
+        $objView->display(MAIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /**
+     * パラメータ情報を更新する.
+     *
+     * 画面の設定値で mtb_constants テーブルの値とキャッシュを更新する.
+     *
+     * @access private
+     * @return void
+     */
+    function update() {
+        $data = array();
+        $masterData = new SC_DB_MasterData_Ex();
+        foreach ($this->arrKeys as $key) {
+            $data[$key] = $_POST[$key];
+        }
+
+        // DBのデータを更新
+        $masterData->updateMasterData("mtb_constants", array(), $data);
+
+        // 更新したデータを取得
+        $mtb_constants = $masterData->getDBMasterData("mtb_constants");
+
+        // キャッシュを生成
+        $masterData->clearCache("mtb_constants");
+        $masterData->createCache("mtb_constants", $mtb_constants, true,
+                                 array("id", "remarks", "rank"));
+    }
+
+    /**
+     * エラーチェックを行う.
+     *
+     * @access private
+     * @return void
+     */
+    function errorCheck() {
+        $objErr = new SC_CheckError($this->arrForm);
+        for ($i = 0; $i < count($this->arrKeys); $i++) {
+            $objErr->doFunc(array($this->arrKeys[$i],
+                                  $this->arrForm[$this->arrKeys[$i]]),
+                            array("EXIST_CHECK_REVERSE", "EVAL_CHECK"));
+        }
+        return $objErr->arrErr;
+    }
+
+    /**
+     * パラメータのキーを配列で返す.
+     *
+     * @access private
+     * @return array パラメータのキーの配列
+     */
+    function getParamKeys(&$masterData) {
+        $keys = array();
+        $i = 0;
+        foreach ($masterData->getDBMasterData("mtb_constants") as $key => $val) {
+            $keys[$i] = $key;
+            $i++;
+        }
+        return $keys;
+    }
+}
+?>
Index: /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php
===================================================================
--- /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 17267)
+++ /branches/version-2/data/class/pages/admin/system/LC_Page_Admin_System_Masterdata.php	(revision 17267)
@@ -0,0 +1,187 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/LC_Page.php");
+
+/**
+ * マスタデータ管理 のページクラス.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id$
+ */
+class LC_Page_Admin_System_Masterdata extends LC_Page {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+        $this->tpl_mainpage = 'system/masterdata.tpl';
+        $this->tpl_subnavi = 'system/subnavi.tpl';
+        $this->tpl_subno = 'masterdata';
+        $this->tpl_mainno = 'system';
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+
+        SC_Utils_Ex::sfIsSuccess(new SC_Session);
+
+        $objView = new SC_AdminView();
+        $this->arrMasterDataName = $this->getMasterDataNames(array("mtb_pref",
+                                                                   "mtb_zip",
+                                                                   "mtb_constants"));
+        $masterData = new SC_DB_MasterData_Ex();
+
+        if (!isset($_POST["mode"])) $_POST["mode"] = "";
+
+        switch ($_POST["mode"]) {
+        case "edit":
+            // POST 文字列の妥当性チェック
+            $this->checkMasterDataName();
+            $this->errorMessage = $this->checkUniqueID();
+
+            if (empty($this->errorMessage)) {
+                // 取得したデータからマスタデータを生成
+                $arrData = array();
+                foreach ($_POST['id'] as $key => $val) {
+
+                    // ID が空のデータは生成しない
+                    if ($val != "") {
+                        $arrData[$val] = $_POST['name'][$key];
+                    }
+                }
+
+                // マスタデータを更新
+                $masterData->objQuery = new SC_Query();
+                $masterData->objQuery->begin();
+                $masterData->deleteMasterData($this->masterDataName, false);
+                // TODO カラム名はメタデータから取得した方が良い
+                $masterData->registMasterData($this->masterDataName,
+                                              array("id", "name", "rank"),
+                                              $arrData, false);
+                $masterData->objQuery->commit();
+                $this->tpl_onload = "window.alert('マスタデータの設定が完了しました。');";
+            }
+
+        case "show":
+            // POST 文字列の妥当性チェック
+            $this->checkMasterDataName();
+
+            // DB からマスタデータを取得
+            $this->arrMasterData =
+                $masterData->getDbMasterData($this->masterDataName);
+            break;
+
+        default:
+        }
+
+        $objView->assignobj($this);
+        $objView->display(MAIN_FRAME);
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+
+    /**
+     * マスタデータ名チェックを行う
+     *
+     * @access private
+     * @return void
+     */
+    function checkMasterDataName() {
+
+        if (in_array($_POST['master_data_name'], $this->arrMasterDataName)) {
+            $this->masterDataName = $_POST['master_data_name'];
+            return true;
+        } else {
+            SC_Utils_Ex::sfDispeError("");
+        }
+    }
+
+    /**
+     * マスタデータ名を配列で取得する.
+     *
+     * @access private
+     * @param array $ignores 取得しないマスタデータ名の配列
+     * @return array マスタデータ名の配列
+     */
+    function getMasterDataNames($ignores = array()) {
+        $dbFactory = SC_DB_DBFactory::getInstance();
+        $arrMasterDataName = $dbFactory->findTableNames("mtb_");
+
+        $i = 0;
+        foreach ($arrMasterDataName as $val) {
+            foreach ($ignores as $ignore) {
+                if ($val == $ignore) {
+                    unset($arrMasterDataName[$i]);
+                }
+            }
+            $i++;
+        }
+        return $arrMasterDataName;
+    }
+
+    /**
+     * ID の値がユニークかチェックする.
+     *
+     * 重複した値が存在する場合はエラーメッセージを表示する.
+     *
+     * @access private
+     * @return void|string エラーが発生した場合はエラーメッセージを返す.
+     */
+    function checkUniqueID() {
+
+        $arrId = $_POST['id'];
+        for ($i = 0; $i < count($arrId); $i++) {
+
+            $id = $arrId[$i];
+            // 空の値は無視
+            if ($arrId[$i] != "") {
+                for ($j = $i + 1; $j < count($arrId); $j++) {
+                    if ($id == $arrId[$j]) {
+                        return $id . " が重複しているため登録できません.";
+                    }
+                }
+            }
+        }
+    }
+}
+?>
Index: /branches/version-2/data/Smarty/templates/default/admin/system/masterdata.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/system/masterdata.tpl	(revision 17267)
+++ /branches/version-2/data/Smarty/templates/default/admin/system/masterdata.tpl	(revision 17267)
@@ -0,0 +1,173 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<!--★★メインコンテンツ★★-->
+<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
+	<tr valign="top">
+		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
+			<!--▼SUB NAVI-->
+			<!--{include file=$tpl_subnavi}-->
+			<!--▲SUB NAVI-->
+		</td>
+		<td class="mainbg">
+			<!--▼登録テーブルここから-->
+			<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
+				<!--メインエリア-->
+				<tr>
+					<td align="center">
+						<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr><td height="14"></td></tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
+							</tr>
+							<tr>
+								<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+								<td bgcolor="#cccccc">
+								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
+									</tr>
+									<tr>
+										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+										<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->マスタデータ管理</span></td>
+										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
+									</tr>
+								</table>
+								
+								<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
+								<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
+								<input type="hidden" name="mode" value="show">
+								  <tr>
+								    <td bgcolor="#f2f1ec" width="180" class="fs12n" colspan="2">
+								      <select name="master_data_name" id="master_data_name">
+								      <!--{html_options output=$arrMasterDataName values=$arrMasterDataName selected=$masterDataName}-->
+								      </select>
+								      <input type="submit" value="選択">
+								    </td>
+								  </tr>
+								</form>
+
+
+								<!--{if $smarty.post.mode == 'show'}-->
+							
+								<form name="form2" id="form2" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
+								<input type="hidden" name="mode" value="edit">
+								<input type="hidden" name="master_data_name" value="<!--{$masterDataName}-->">
+								  <tr class="fs12n">
+								    <td bgcolor="#f2f1ec" align="center" colspan="2"><strong>マスタデータ編集</strong></td>
+								  </tr>
+								  <tr class="fs12n">
+								    <td bgcolor="#ffffff" align="left" colspan="2">
+								      <ul class="red">
+								        <li>マスタデータの値を設定できます。</li>
+								        <li>重複したIDを登録することはできません。</li>
+								        <li>空のIDを登録すると、値は削除されます。</li>
+								        <li>設定値によってはサイトが機能しなくなる場合もありますので、十分ご注意下さい。</li>
+								      </ul>
+								    </td>
+								  </tr>
+
+								  <!--{if $errorMessage != ""}-->
+								  <tr class="fs12n">
+								    <td bgcolor="#ffffff" align="left" colspan="2">
+								      <span class="red"><!--{$errorMessage}--></span>
+								    </td>
+								  </tr>
+								  <!--{/if}-->
+								
+								  <!--{foreach from=$arrMasterData item=val key=key}-->
+								  <tr class="fs12n">
+								    <td bgcolor="#ffffff" align="left">
+								    ID：<input type="text" name="id[]" value="<!--{$key|escape}-->" size="6">
+								    </td>
+								    <td bgcolor="#ffffff" align="left">
+								    値：<input type="text" name="name[]" value="<!--{$val|escape}-->" style="" size="60"
+								            class="box60" />
+								    </td>
+								  </tr>
+								  <!--{/foreach}-->
+								  <tr class="fs12n">
+								    <td bgcolor="#f2f1ec" align="center" colspan="2">追加のデータ</td>
+								  </tr>
+								  <tr class="fs12n">
+								    <td bgcolor="#ffffff" align="left">
+								    ID：<input type="text" name="id[]" size="6">
+								    </td>
+								    <td bgcolor="#ffffff" align="left">
+								    値：<input type="text" name="name[]" style="" size="60"
+								            class="box60" />
+								    </td>
+								  </tr>
+								</form>
+								</table>
+
+								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+									<tr>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+										<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+									</tr>
+									<tr>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+										<td bgcolor="#e9e7de" align="center">
+										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+											<tr>
+												<td>
+													<input onClick="return document.form2.submit()" type="image" onMouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$TPL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" >
+												</td>
+											</tr>
+										</table>
+
+										</td>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
+									</tr>
+								<!--{/if}-->
+								</table>
+
+								</td>
+								<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
+							</tr>
+							<tr><td height="30"></td></tr>
+						</table>
+					</td>
+				</tr>
+				<!--メインエリア-->
+			</table>
+			<!--▲登録テーブルここまで-->
+		</td>
+	</tr>
+</form>
+</table>
+<!--★★メインコンテンツ★★-->
Index: /branches/version-2/data/Smarty/templates/default/admin/system/subnavi.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/system/subnavi.tpl	(revision 16674)
+++ /branches/version-2/data/Smarty/templates/default/admin/system/subnavi.tpl	(revision 17267)
@@ -28,4 +28,8 @@
 	<tr><td class=<!--{if $tpl_subno != 'bkup'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./bkup.php" onMouseOver="naviStyleChange('bkup', '#a5a5a5')" <!--{if $tpl_subno != 'bkup'}-->onMouseOut="naviStyleChange('bkup', '#636469')"<!--{/if}--> id="bkup"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">バックアップ管理</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
+	<tr><td class=<!--{if $tpl_subno != 'parameter'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./parameter.php" onMouseOver="naviStyleChange('parameter', '#a5a5a5')" <!--{if $tpl_subno != 'parameter'}-->onMouseOut="naviStyleChange('parameter', '#636469')"<!--{/if}--> id="parameter"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">パラメータ設定</span></a></td></tr>
+	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
+	<tr><td class=<!--{if $tpl_subno != 'masterdata'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./masterdata.php" onMouseOver="naviStyleChange('masterdata', '#a5a5a5')" <!--{if $tpl_subno != 'masterdata'}-->onMouseOut="naviStyleChange('masterdata', '#636469')"<!--{/if}--> id="masterdata"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">マスタデータ管理</span></a></td></tr>
+	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
 	<!--ナビ-->
 </table>
Index: /branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl	(revision 17267)
+++ /branches/version-2/data/Smarty/templates/default/admin/system/parameter.tpl	(revision 17267)
@@ -0,0 +1,134 @@
+<!--{*
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+*}-->
+<!--★★メインコンテンツ★★-->
+<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
+<form name="form1" id="form1" method="post" action="./parameter.php">
+<input type="hidden" name="mode" value="update">
+	<tr valign="top">
+		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
+			<!--▼SUB NAVI-->
+			<!--{include file=$tpl_subnavi}-->
+			<!--▲SUB NAVI-->
+		</td>
+		<td class="mainbg">
+			<!--▼登録テーブルここから-->
+			<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
+				<!--メインエリア-->
+				<tr>
+					<td align="center">
+						<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
+							<tr><td height="14"></td></tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
+							</tr>
+							<tr>
+								<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+								<td bgcolor="#cccccc">
+								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
+									</tr>
+									<tr>
+										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
+										<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->パラメータ設定</span></td>
+										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
+									</tr>
+								</table>
+
+<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
+<tr>
+  <td bgcolor="#f2f1ec" colspan="2" class="red">
+    <ul>
+      <li>パラメータの値がPHP定数として設定されます。</li>
+      <li>文字列は「&quot;」で囲んで下さい。</li>
+      <li>設定値によってはサイトが機能しなくなる場合もありますので、十分ご注意下さい。</li>
+    </ul>
+  </td>
+</tr>
+<tr>
+  <th bgcolor="#f2f1ec" class="fs10n">定数名</th>
+  <th bgcolor="#f2f1ec" class="fs10n">パラメータ値</th>
+</tr>
+<!--{section name=cnt loop=$arrKeys}-->
+<tr>
+  <th bgcolor="#f2f1ec" width="100" style="text-align: left; font-size: 70%">
+    <!--{$arrKeys[cnt]|escape}-->
+  </th>
+  <td bgcolor="#ffffff" width="537" class="fs10n">
+    <div style="font-size: 80%; color: #666666"><!--{$arrComments[cnt]|escape}--></div>
+    <div>
+      <!--{assign var=key value=$arrKeys[cnt]}-->
+      <input type="text" name="<!--{$arrKeys[cnt]|escape}-->" value="<!--{$arrValues[cnt]|escape}-->" size="64" style="<!--{if $arrErr.$key != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}--><!--{/if}-->">
+      <span class="red12"><!--{$arrErr.$key}--></span>
+    </div>
+  </td>
+</tr>
+<!--{/section}-->
+</table>
+
+								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
+									<tr>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+										<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
+									</tr>
+									<tr>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+										<td bgcolor="#e9e7de" align="center">
+										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
+											<tr>
+												<td><input type="image" onMouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$TPL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" ></td>
+											</tr>
+										</table>
+										</td>
+										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
+									</tr>
+									<tr>
+										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
+									</tr>
+								</table>
+								</td>
+								<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
+							</tr>
+							<tr>
+								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
+							</tr>
+							<tr><td height="30"></td></tr>
+						</table>
+					</td>
+				</tr>
+				<!--メインエリア-->
+			</table>
+			<!--▲登録テーブルここまで-->
+		</td>
+	</tr>
+</form>
+</table>
+<!--★★メインコンテンツ★★-->
Index: /branches/version-2/data/Smarty/templates/default/admin/basis/subnavi.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/basis/subnavi.tpl	(revision 17143)
+++ /branches/version-2/data/Smarty/templates/default/admin/basis/subnavi.tpl	(revision 17267)
@@ -42,11 +42,7 @@
 	<tr><td class=<!--{if $tpl_subno != 'zip_install'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="#" onclick="win03('<!--{$smarty.const.URL_DIR}-->admin/basis/zip_install.php', 'install', '750', '350');" onMouseOver="naviStyleChange('zip_install', '#a5a5a5')" <!--{if $tpl_subno != 'zip_install'}-->onMouseOut="naviStyleChange('zip_install', '#636469')"<!--{/if}--> id="zip_install"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">郵便番号DB登録</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-		<tr><td class=<!--{if $tpl_subno != 'control'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./control.php" onMouseOver="naviStyleChange('control', '#a5a5a5')" <!--{if $tpl_subno != 'control'}-->onMouseOut="naviStyleChange('control', '#636469')"<!--{/if}--> id="control"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">サイト管理設定</span></a></td></tr>
+	<tr><td class=<!--{if $tpl_subno != 'control'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./control.php" onMouseOver="naviStyleChange('control', '#a5a5a5')" <!--{if $tpl_subno != 'control'}-->onMouseOut="naviStyleChange('control', '#636469')"<!--{/if}--> id="control"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">サイト管理設定</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-		<tr><td class=<!--{if $tpl_subno != 'parameter'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./parameter.php" onMouseOver="naviStyleChange('parameter', '#a5a5a5')" <!--{if $tpl_subno != 'parameter'}-->onMouseOut="naviStyleChange('parameter', '#636469')"<!--{/if}--> id="parameter"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">パラメータ設定</span></a></td></tr>
-	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-		<tr><td class=<!--{if $tpl_subno != 'masterdata'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./masterdata.php" onMouseOver="naviStyleChange('masterdata', '#a5a5a5')" <!--{if $tpl_subno != 'masterdata'}-->onMouseOut="naviStyleChange('masterdata', '#636469')"<!--{/if}--> id="masterdata"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">マスタデータ管理</span></a></td></tr>
-	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
-		<tr><td class=<!--{if $tpl_subno != 'holiday'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./holiday.php" onMouseOver="naviStyleChange('holiday', '#a5a5a5')" <!--{if $tpl_subno != 'holiday'}-->onMouseOut="naviStyleChange('holiday', '#636469')"<!--{/if}--> id="holiday"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">定休日管理</span></a></td></tr>
+	<tr><td class=<!--{if $tpl_subno != 'holiday'}-->"navi"<!--{else}-->"navi-on"<!--{/if}-->><a href="./holiday.php" onMouseOver="naviStyleChange('holiday', '#a5a5a5')" <!--{if $tpl_subno != 'holiday'}-->onMouseOut="naviStyleChange('holiday', '#636469')"<!--{/if}--> id="holiday"><img src="<!--{$TPL_DIR}-->img/contents/icon.jpg" width="15" height="9" alt="" border="0"><span class="navi_text">定休日管理</span></a></td></tr>
 	<tr><td><img src="<!--{$TPL_DIR}-->img/contents/navi_line.gif" width="140" height="2" alt=""></td></tr>
 	<!--ナビ-->
Index: anches/version-2/data/Smarty/templates/default/admin/basis/parameter.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/basis/parameter.tpl	(revision 16582)
+++ 	(revision )
@@ -1,134 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-<!--★★メインコンテンツ★★-->
-<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
-<form name="form1" id="form1" method="post" action="./parameter.php">
-<input type="hidden" name="mode" value="update">
-	<tr valign="top">
-		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
-			<!--▼SUB NAVI-->
-			<!--{include file=$tpl_subnavi}-->
-			<!--▲SUB NAVI-->
-		</td>
-		<td class="mainbg">
-			<!--▼登録テーブルここから-->
-			<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
-				<!--メインエリア-->
-				<tr>
-					<td align="center">
-						<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
-							<tr><td height="14"></td></tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-								<td bgcolor="#cccccc">
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-										<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->パラメータ設定</span></td>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
-									</tr>
-								</table>
-
-<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
-<tr>
-  <td bgcolor="#f2f1ec" colspan="2" class="red">
-    <ul>
-      <li>パラメータの値がPHP定数として設定されます。</li>
-      <li>文字列は「&quot;」で囲んで下さい。</li>
-      <li>設定値によってはサイトが機能しなくなる場合もありますので、十分ご注意下さい。</li>
-    </ul>
-  </td>
-</tr>
-<tr>
-  <th bgcolor="#f2f1ec" class="fs10n">定数名</th>
-  <th bgcolor="#f2f1ec" class="fs10n">パラメータ値</th>
-</tr>
-<!--{section name=cnt loop=$arrKeys}-->
-<tr>
-  <th bgcolor="#f2f1ec" width="100" style="text-align: left; font-size: 70%">
-    <!--{$arrKeys[cnt]|escape}-->
-  </th>
-  <td bgcolor="#ffffff" width="537" class="fs10n">
-    <div style="font-size: 80%; color: #666666"><!--{$arrComments[cnt]|escape}--></div>
-    <div>
-      <!--{assign var=key value=$arrKeys[cnt]}-->
-      <input type="text" name="<!--{$arrKeys[cnt]|escape}-->" value="<!--{$arrValues[cnt]|escape}-->" size="64" style="<!--{if $arrErr.$key != ""}-->background-color: <!--{$smarty.const.ERR_COLOR}--><!--{/if}-->">
-      <span class="red12"><!--{$arrErr.$key}--></span>
-    </div>
-  </td>
-</tr>
-<!--{/section}-->
-</table>
-
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-										<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-									</tr>
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-										<td bgcolor="#e9e7de" align="center">
-										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
-											<tr>
-												<td><input type="image" onMouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$TPL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" ></td>
-											</tr>
-										</table>
-										</td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
-									</tr>
-								</table>
-								</td>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-							</tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr><td height="30"></td></tr>
-						</table>
-					</td>
-				</tr>
-				<!--メインエリア-->
-			</table>
-			<!--▲登録テーブルここまで-->
-		</td>
-	</tr>
-</form>
-</table>
-<!--★★メインコンテンツ★★-->
Index: anches/version-2/data/Smarty/templates/default/admin/basis/masterdata.tpl
===================================================================
--- /branches/version-2/data/Smarty/templates/default/admin/basis/masterdata.tpl	(revision 16582)
+++ 	(revision )
@@ -1,173 +1,0 @@
-<!--{*
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-*}-->
-<!--★★メインコンテンツ★★-->
-<table width="878" border="0" cellspacing="0" cellpadding="0" summary=" ">
-	<tr valign="top">
-		<td background="<!--{$TPL_DIR}-->img/contents/navi_bg.gif" height="402">
-			<!--▼SUB NAVI-->
-			<!--{include file=$tpl_subnavi}-->
-			<!--▲SUB NAVI-->
-		</td>
-		<td class="mainbg">
-			<!--▼登録テーブルここから-->
-			<table width="737" border="0" cellspacing="0" cellpadding="0" summary=" ">
-				<!--メインエリア-->
-				<tr>
-					<td align="center">
-						<table width="706" border="0" cellspacing="0" cellpadding="0" summary=" ">
-							<tr><td height="14"></td></tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_top.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_left.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-								<td bgcolor="#cccccc">
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_top.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_left_bg.gif"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_left.gif" width="22" height="12" alt=""></td>
-										<td bgcolor="#636469" width="638" class="fs14n"><span class="white"><!--コンテンツタイトル-->マスタデータ管理</span></td>
-										<td background="<!--{$TPL_DIR}-->img/contents/contents_title_right_bg.gif"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="18" height="1" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/contents_title_bottom.gif" width="678" height="7" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bar.jpg" width="678" height="10" alt=""></td>
-									</tr>
-								</table>
-								
-								<table width="678" border="0" cellspacing="1" cellpadding="8" summary=" ">
-								<form name="form1" id="form1" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
-								<input type="hidden" name="mode" value="show">
-								  <tr>
-								    <td bgcolor="#f2f1ec" width="180" class="fs12n" colspan="2">
-								      <select name="master_data_name" id="master_data_name">
-								      <!--{html_options output=$arrMasterDataName values=$arrMasterDataName selected=$masterDataName}-->
-								      </select>
-								      <input type="submit" value="選択">
-								    </td>
-								  </tr>
-								</form>
-
-
-								<!--{if $smarty.post.mode == 'show'}-->
-							
-								<form name="form2" id="form2" method="post" action="<!--{$smarty.server.PHP_SELF|escape}-->">
-								<input type="hidden" name="mode" value="edit">
-								<input type="hidden" name="master_data_name" value="<!--{$masterDataName}-->">
-								  <tr class="fs12n">
-								    <td bgcolor="#f2f1ec" align="center" colspan="2"><strong>マスタデータ編集</strong></td>
-								  </tr>
-								  <tr class="fs12n">
-								    <td bgcolor="#ffffff" align="left" colspan="2">
-								      <ul class="red">
-								        <li>マスタデータの値を設定できます。</li>
-								        <li>重複したIDを登録することはできません。</li>
-								        <li>空のIDを登録すると、値は削除されます。</li>
-								        <li>設定値によってはサイトが機能しなくなる場合もありますので、十分ご注意下さい。</li>
-								      </ul>
-								    </td>
-								  </tr>
-
-								  <!--{if $errorMessage != ""}-->
-								  <tr class="fs12n">
-								    <td bgcolor="#ffffff" align="left" colspan="2">
-								      <span class="red"><!--{$errorMessage}--></span>
-								    </td>
-								  </tr>
-								  <!--{/if}-->
-								
-								  <!--{foreach from=$arrMasterData item=val key=key}-->
-								  <tr class="fs12n">
-								    <td bgcolor="#ffffff" align="left">
-								    ID：<input type="text" name="id[]" value="<!--{$key|escape}-->" size="6">
-								    </td>
-								    <td bgcolor="#ffffff" align="left">
-								    値：<input type="text" name="name[]" value="<!--{$val|escape}-->" style="" size="60"
-								            class="box60" />
-								    </td>
-								  </tr>
-								  <!--{/foreach}-->
-								  <tr class="fs12n">
-								    <td bgcolor="#f2f1ec" align="center" colspan="2">追加のデータ</td>
-								  </tr>
-								  <tr class="fs12n">
-								    <td bgcolor="#ffffff" align="left">
-								    ID：<input type="text" name="id[]" size="6">
-								    </td>
-								    <td bgcolor="#ffffff" align="left">
-								    値：<input type="text" name="name[]" style="" size="60"
-								            class="box60" />
-								    </td>
-								  </tr>
-								</form>
-								</table>
-
-								<table width="678" border="0" cellspacing="0" cellpadding="0" summary=" ">
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-										<td><img src="<!--{$TPL_DIR}-->img/contents/tbl_top.gif" width="676" height="7" alt=""></td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="5" alt=""></td>
-									</tr>
-									<tr>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-										<td bgcolor="#e9e7de" align="center">
-										<table border="0" cellspacing="0" cellpadding="0" summary=" ">
-											<tr>
-												<td>
-													<input onClick="return document.form2.submit()" type="image" onMouseover="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist_on.jpg',this)" onMouseout="chgImgImageSubmit('<!--{$TPL_DIR}-->img/contents/btn_regist.jpg',this)" src="<!--{$TPL_DIR}-->img/contents/btn_regist.jpg" width="123" height="24" alt="この内容で登録する" border="0" name="subm" >
-												</td>
-											</tr>
-										</table>
-
-										</td>
-										<td bgcolor="#cccccc"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="1" height="10" alt=""></td>
-									</tr>
-									<tr>
-										<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/tbl_bottom.gif" width="678" height="8" alt=""></td>
-									</tr>
-								<!--{/if}-->
-								</table>
-
-								</td>
-								<td background="<!--{$TPL_DIR}-->img/contents/main_right.jpg"><img src="<!--{$TPL_DIR}-->img/common/_.gif" width="14" height="1" alt=""></td>
-							</tr>
-							<tr>
-								<td colspan="3"><img src="<!--{$TPL_DIR}-->img/contents/main_bottom.jpg" width="706" height="14" alt=""></td>
-							</tr>
-							<tr><td height="30"></td></tr>
-						</table>
-					</td>
-				</tr>
-				<!--メインエリア-->
-			</table>
-			<!--▲登録テーブルここまで-->
-		</td>
-	</tr>
-</form>
-</table>
-<!--★★メインコンテンツ★★-->
Index: anches/version-2/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Parameter_Ex.php
===================================================================
--- /branches/version-2/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Parameter_Ex.php	(revision 16741)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/basis/LC_Page_Admin_Basis_Parameter.php");
-
-/**
- * パラメータ設定 のページクラス(拡張).
- *
- * LC_Page_Admin_Basis_Parameter をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id:LC_Page_Admin_Basis_Ex.php 15532 2007-08-31 14:39:46Z nanasess $
- */
-class LC_Page_Admin_Basis_Parameter_Ex extends LC_Page_Admin_Basis_Parameter {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: anches/version-2/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Masterdata_Ex.php
===================================================================
--- /branches/version-2/data/class_extends/page_extends/admin/basis/LC_Page_Admin_Basis_Masterdata_Ex.php	(revision 16582)
+++ 	(revision )
@@ -1,68 +1,0 @@
-<?php
-/*
- * This file is part of EC-CUBE
- *
- * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
- *
- * http://www.lockon.co.jp/
- *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 2
- * of the License, or (at your option) any later version.
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
- */
-
-// {{{ requires
-require_once(CLASS_PATH . "pages/admin/basis/LC_Page_Admin_Basis_Masterdata.php");
-
-/**
- * マスタデータ管理 のページクラス(拡張).
- *
- * LC_Page_Admin_Basis_Masterdata をカスタマイズする場合はこのクラスを編集する.
- *
- * @package Page
- * @author LOCKON CO.,LTD.
- * @version $Id:LC_Page_Admin_Basis_Ex.php 15532 2007-08-31 14:39:46Z nanasess $
- */
-class LC_Page_Admin_Basis_Masterdata_Ex extends LC_Page_Admin_Basis_Masterdata {
-
-    // }}}
-    // {{{ functions
-
-    /**
-     * Page を初期化する.
-     *
-     * @return void
-     */
-    function init() {
-        parent::init();
-    }
-
-    /**
-     * Page のプロセス.
-     *
-     * @return void
-     */
-    function process() {
-        parent::process();
-    }
-
-    /**
-     * デストラクタ.
-     *
-     * @return void
-     */
-    function destroy() {
-        parent::destroy();
-    }
-}
-?>
Index: /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Parameter_Ex.php
===================================================================
--- /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Parameter_Ex.php	(revision 17267)
+++ /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Parameter_Ex.php	(revision 17267)
@@ -0,0 +1,68 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/system/LC_Page_Admin_System_Parameter.php");
+
+/**
+ * パラメータ設定 のページクラス(拡張).
+ *
+ * LC_Page_Admin_System_Parameter をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id:LC_Page_Admin_Basis_Ex.php 15532 2007-08-31 14:39:46Z nanasess $
+ */
+class LC_Page_Admin_System_Parameter_Ex extends LC_Page_Admin_System_Parameter {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
Index: /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Masterdata_Ex.php
===================================================================
--- /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Masterdata_Ex.php	(revision 17267)
+++ /branches/version-2/data/class_extends/page_extends/admin/system/LC_Page_Admin_System_Masterdata_Ex.php	(revision 17267)
@@ -0,0 +1,68 @@
+<?php
+/*
+ * This file is part of EC-CUBE
+ *
+ * Copyright(c) 2000-2007 LOCKON CO.,LTD. All Rights Reserved.
+ *
+ * http://www.lockon.co.jp/
+ *
+ * This program is free software; you can redistribute it and/or
+ * modify it under the terms of the GNU General Public License
+ * as published by the Free Software Foundation; either version 2
+ * of the License, or (at your option) any later version.
+ *
+ * This program is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with this program; if not, write to the Free Software
+ * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
+ */
+
+// {{{ requires
+require_once(CLASS_PATH . "pages/admin/system/LC_Page_Admin_System_Masterdata.php");
+
+/**
+ * マスタデータ管理 のページクラス(拡張).
+ *
+ * LC_Page_Admin_System_Masterdata をカスタマイズする場合はこのクラスを編集する.
+ *
+ * @package Page
+ * @author LOCKON CO.,LTD.
+ * @version $Id:LC_Page_Admin_Basis_Ex.php 15532 2007-08-31 14:39:46Z nanasess $
+ */
+class LC_Page_Admin_System_Masterdata_Ex extends LC_Page_Admin_System_Masterdata {
+
+    // }}}
+    // {{{ functions
+
+    /**
+     * Page を初期化する.
+     *
+     * @return void
+     */
+    function init() {
+        parent::init();
+    }
+
+    /**
+     * Page のプロセス.
+     *
+     * @return void
+     */
+    function process() {
+        parent::process();
+    }
+
+    /**
+     * デストラクタ.
+     *
+     * @return void
+     */
+    function destroy() {
+        parent::destroy();
+    }
+}
+?>
